com.holonplatform.core.datastore

## Interface Datastore.Builder<D extends Datastore,B extends Datastore.Builder<D,B>>

- Type Parameters:
    `D` - Datastore type
    `B` - Concrete builder type
  All Superinterfaces:
    ExpressionResolver.ExpressionResolverBuilder<B>
  Enclosing interface:
    Datastore

      public static interface Datastore.Builder<D extends Datastore,B extends Datastore.Builder<D,B>>
      extends ExpressionResolver.ExpressionResolverBuilder<B>

  Base `Datastore` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `D` | `build()` Build the Datastore.
    `B` | `configuration(DatastoreConfigProperties configuration)` Set the datastore configuration property source to use.
    `B` | `dataContextId(String dataContextId)` Set the `data context id` to which the Datastore is bound.
    `B` | `traceEnabled(boolean trace)` Set whether to trace Datastore operations in log.

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

- - ### Method Detail

    - #### dataContextId

          B dataContextId(String dataContextId)

      Set the `data context id` to which the Datastore is bound.
      Parameters:
        `dataContextId` - The data context id to set
      Returns:
        this

    - #### traceEnabled

          B traceEnabled(boolean trace)

      Set whether to trace Datastore operations in log.
      Parameters:
        `trace` - `true` to enable tracing
      Returns:
        this

    - #### configuration

          B configuration(DatastoreConfigProperties configuration)

      Set the datastore configuration property source to use.
      Parameters:
        `configuration` - Datastore configuration properties (not null)
      Returns:
        this

    - #### build

          D build()

      Build the Datastore.
      Returns:
        Datastore instance

Copyright © 2017 The Holon Platform. All rights reserved.